/*  
 * Copyright (c) 2010 Ant Kutschera, maxant
 * 
 * This file is part of the maxant Blog.
 * 
 * maxant Blog is free software: you can redistribute it and/or modify
 * it under the terms of the Lesser GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * maxant Blog is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Lesser GNU General Public License for more details.
 * You should have received a copy of the Lesser GNU General Public License
 * along with maxant Blog.  If not, see <http://www.gnu.org/licenses/>.
 */
package uk.co.maxant.wsdemo;

import java.util.Date;

import javax.xml.bind.annotation.XmlElement;

/**
 * this is a simple class representing a "complex" data
 * structure which is passed to a web service method.
 */
public class ObjectModel {

	/** here is a required field */
	@XmlElement(/*nillable=false, */required=true)
	public Date date;

	/** an optional field */
	public String name;

	/** an optional field, which must have a valid format */
	public Date optionalDate;

}
