
package uk.co.maxant.wsdemo;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the uk.co.maxant.wsdemo package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _FormatDate_QNAME = new QName("http://wsdemo.maxant.co.uk/", "formatDate");
    private final static QName _FormatDateResponse_QNAME = new QName("http://wsdemo.maxant.co.uk/", "formatDateResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: uk.co.maxant.wsdemo
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link FormatDateResponse }
     * 
     */
    public FormatDateResponse createFormatDateResponse() {
        return new FormatDateResponse();
    }

    /**
     * Create an instance of {@link ObjectModel }
     * 
     */
    public ObjectModel createObjectModel() {
        return new ObjectModel();
    }

    /**
     * Create an instance of {@link FormatDate }
     * 
     */
    public FormatDate createFormatDate() {
        return new FormatDate();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FormatDate }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://wsdemo.maxant.co.uk/", name = "formatDate")
    public JAXBElement<FormatDate> createFormatDate(FormatDate value) {
        return new JAXBElement<FormatDate>(_FormatDate_QNAME, FormatDate.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FormatDateResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://wsdemo.maxant.co.uk/", name = "formatDateResponse")
    public JAXBElement<FormatDateResponse> createFormatDateResponse(FormatDateResponse value) {
        return new JAXBElement<FormatDateResponse>(_FormatDateResponse_QNAME, FormatDateResponse.class, null, value);
    }

}
